Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160562 - Race condition in __get_lease()
Summary: Race condition in __get_lease()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 20:04 UTC by Jim Paradis
Modified: 2013-08-06 01:15 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-551
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-25 13:19:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:551 normal SHIPPED_LIVE Important: kernel security update 2005-08-25 04:00:00 UTC

Description Jim Paradis 2005-06-15 20:04:38 UTC
This is the RHEL2.1-ia64 version of Bug 156636:

"Kernel has oopsed several times. Netdump has capture the oops but not a
complete vmcore. The oops below is representative. The changes documented in the
following link are not present in  the RH kernel. I feel the race identified by
Stephen Rothwell involving the checking of whether inode->i_flock is not NULL
and the subseqeunt use of that pointer is a likely explanation for these oopses."

Although this problem has not been reported (to my knowledge) on RHEL2.1-ia64,
the code (and therefore the vulnerability) is exactly the same.

Comment 3 Red Hat Bugzilla 2005-08-25 13:19:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-551.html



Note You need to log in before you can comment on or make changes to this bug.